Name:           perl-HTTP-Engine
Version:        0.03004
Release:        1%{?dist}
Summary:        Web Server Gateway Interface and HTTP Server Engine Drivers
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTTP-Engine/
Source0:        http://www.cpan.org/authors/id/Y/YA/YAPPO/HTTP-Engine-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.0
BuildRequires:  perl(Any::Moose) >= 0.09
BuildRequires:  perl(CGI::Simple::Cookie) >= 1.103
BuildRequires:  perl(FCGI) >= 0.67
BuildRequires:  perl(HTTP::Body) >= 1.05
BuildRequires:  perl(HTTP::Headers::Fast) >= 0.11
BuildRequires:  perl(HTTP::Request::AsCGI)
BuildRequires:  perl(HTTP::Server::Simple) >= 0.35
BuildRequires:  perl(IO::Scalar) >= 2.11
BuildRequires:  perl(Mouse) >= 0.39
BuildRequires:  perl(MouseX::Types) >= 0.01
BuildRequires:  perl(POE) >= 1.0003
BuildRequires:  perl(POE::Filter::HTTPD) >= 1.2387
BuildRequires:  perl(Test::SharedFork) >= 0.11
BuildRequires:  perl(Test::TCP) >= 0.16
BuildRequires:  perl(URI) >= 1.36
BuildRequires:  perl(YAML)
Requires:       perl(Any::Moose) >= 0.09
Requires:       perl(CGI::Simple::Cookie) >= 1.103
Requires:       perl(FCGI) >= 0.67
Requires:       perl(HTTP::Body) >= 1.05
Requires:       perl(HTTP::Headers::Fast) >= 0.11
Requires:       perl(HTTP::Server::Simple) >= 0.35
Requires:       perl(IO::Scalar) >= 2.11
Requires:       perl(Mouse) >= 0.39
Requires:       perl(MouseX::Types) >= 0.01
Requires:       perl(POE) >= 1.0003
Requires:       perl(POE::Filter::HTTPD) >= 1.2387
Requires:       perl(URI) >= 1.36
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HTTP::Engine abstracts handling the input and output of various web server
environments, including CGI, mod_perl and FastCGI. Most of the code is
ported over from Catalyst::Engine.

%prep
%setup -q -n HTTP-Engine-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Feb 17 2010 Dave Cross <dave@mag-sol.com> 0.03004-1
- Specfile autogenerated by cpanspec 1.77.
